#!/bin/bash

set -e

if [ $# -ne 1 ]; then
	echo "usage: $0 domain.name";
    exit 1;
fi;

HOST="$1";
ROOTPWD=$(pwd);

mkdir -p "$ROOTPWD/local/ssl";

cd letsencrypt;
./acme.sh --issue -d "$HOST" --stateless --cert-home "$ROOTPWD/local/ssl" --config-home "$ROOTPWD"/letsencrypt/config;
cd ../;

./luan.sh nginx.ssl.conf.luan $ROOTPWD "$HOST" > config/nginx.ssl."$HOST".conf;

sudo /usr/local/bin/nginx -s reload;
